
from PyQt6.QtWidgets import QDialog, QColorDialog
from PyQt6 import uic

class CreateCalendar(QDialog):

    def __init__(self,uipath):
        super(CreateCalendar,self).__init__()
        uic.loadUi(uipath+"/CreateCalendar.ui",self)
        self.pickerButton.setText("")
        self.pickerButton.clicked.connect(self.pickupColor)
        self.pickerButton.setStyleSheet("QPushButton { background-color : blue }")

    def pickupColor(self):
        hexValue=QColorDialog.getColor().name()
        self.pickerButton.setStyleSheet("QPushButton { background-color : "+hexValue+" }")
        print("TODO!")
